<template>
    <div><QuestCheckbox v-model="valueData" :placeholder="placeholder" /></div>
</template>

<script>
import QuestCheckbox from "@/components/Quests/QuestCheckbox";
export default {
    name: "SearchCheckbox",
    components: { QuestCheckbox },
    props: { name: String, placeholder: { type: String, default: "" } },
    data: () => ({
        valueData: null,
    }),
    methods: {
        putValue(value) {
            this.$router.push({
                query: { ...this.$route.query, [this.name]: Number(value) },
            });
        },
    },
    watch: {
        valueData(value) {
            if (Number(this.$route.query[this.name]) !== value)
                this.putValue(value);
        },
        "$route.query": {
            immediate: true,
            handler(params) {
                this.valueData = Number(params[this.name]) || 0;
            },
        },
    },
};
</script>

<style scoped></style>
